<?php

// extended parameters for 
// simpleviewer module

/*
Option Name  	Default Value  	Description
cellDimension 	800 	The size of the square 'cell' that contains each image (pixels). Make this at least as big as your biggest image to avoid the images overlapping.
columns 	4 	Number of columns of images. Rows are calculated automatically from the number of images in the gallery.
zoomOutPerc 	15 	The amout of scale when zoomed out (percentage).
zoomInPerc 	100 	The amout of scale when zoomed in (percentage).
frameWidth 	20 	Width of image frame (pixels).
frameColor 	0xFFFFFF 	Color of image frame (hexidecimal color value).
captionColor 	0xFFFFFF 	Color of captions (hexidecimal color value).
enableRightClickOpen 	true 	Whether to display the "Open Image in New Window..." right-click menu option.

HTML Options
langOpenImage 	"Open Image in New Window" 	The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate PostcardViewer into a non-English language.
langAbout 	"About" 	The text displayed for the right-click 'About' menu option. Can be used to translate PostcardViewer into a non-English language.
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


// default values
if (!isset($ext_datas)) 
	$ext_datas = array(
    'cellDimension'     => "800",
    'columns'       => "4",
    'zoomOutPerc'     => "15",
    'zoomInPerc'        => "100",
    'frameWidth'    =>  "20",
    'frameColor'    =>  "#FFFFFF",
    'captionColor'  =>  "#FFFFFF",
    'enableRightClickOpen'  => 	true,
    'langOpenImage' =>  "Open Image in New Window",
    'langAbout'     =>  "About"
);


		
// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "enableRightClickOpen")
			$ext_datas[$key] = isset($_POST['PV_'.$key]);
		else
			$ext_datas[$key] = $_POST['PV_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "enableRightClickOpen")
		$template->assign(array( 'PV_'.$key => (isset($ext_datas[$key]) ? 'checked="checked"': '')));
	else
		$template->assign(array( 'PV_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>